%define module_name	kqemu
%define module_release	alt0.1.pre1
%define module_version	1.4.0
%define module_srcrel	alt0.1.pre1

%define kversion	2.6.18
%define krelease	alt13.M51.46
%define flavour		ovz-rhel

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary:	KQEMU Acceleration module
Name: 		kernel-modules-%module_name-%flavour
Version: 	%module_version
Release: 	%module_release.132626.13.M51.46
License:	GPL
Group:		System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
BuildRequires(pre): rpm-build-kernel
BuildRequires:	kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires:	kernel-source-%module_name >= %module_version-%module_srcrel

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
Requires: kqemu-common >= %module_version-%module_srcrel
ExclusiveArch:	%ix86 x86_64

%description
The QEMU Accelerator Module increases the speed of QEMU
when a PC is emulated on a PC. It runs most of the target application code
directly on the host processor to achieve near native performance.
It is very useful when you want to run another Operating System
(for example Windows) on a Linux desktop.

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
./configure \
	--kernel-path=%_usrsrc/linux-%kversion-%flavour-%krelease
%make clean all


%install
install -m644 -D kqemu.ko %buildroot/%module_dir/kqemu.ko

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Mon Oct 31 2016 Gleb F-Malinovskiy <glebfm@altlinux.org> 1.4.0-alt0.1.pre1.132626.13.M51.46
- Build for kernel-image-ovz-rhel-2.6.18-alt13.M51.46.

* Mon Oct 06 2008 Michail Yakushin <silicium@altlinux.ru> 1.4.0-alt0.1.pre1
-1.4.0.pre1 

* Sun Feb 25 2007 Sergey Vlasov <vsu@altlinux.ru> 1.3.0-alt0.1.pre11
- 1.3.0pre11.
- Fixed Version/Release format (Epoch not added - broken versions never were
  in Sisyphus).
- Source gcc_version.inc to set GCC_VERSION appropriately.
- Removed "-U_FORTIFY_SOURCE -fno-stack-protector" workarounds (not needed
  for 1.3.0pre11).
- Removed %%configure macro usage (the kqemu configure script does not come
  from GNU autoconf).
- Added Requires: kqemu-common (this package contains documentation and
  support files to handle module loading and /dev/kqemu permissions).

* Tue Feb 06 2007 Michael Shigorin <mike@altlinux.org> 1.3.0pre10-alt0.1
- NMU: 1.3.0pre10 for 2.6.18-std-smp-alt3
- License: changed to GPL
- fix build fix
- fix build with gcc4.1 (-fno-stack-protector, see also #10178)
- spec macro abuse and ancient kernel related cleanups

* Mon Jan 29 2007 Sergey Vlasov <vsu@altlinux.ru> 0.7.2-alt5
- Removed unneeded "Prereq: modutils".

* Mon Jan 01 2007 Michael Shigorin <mike@altlinux.org> 1.3.0pre9-alt2
- built for 2.6.18-std-smp-alt3

* Tue Oct 10 2006 Andrey Khavryuchenko <akhavr@altlinux.org> 1.3.0pre9-alt1
- Updated version

* Sun Mar 12 2006 Sergey Vlasov <vsu@altlinux.ru> 0.7.2-alt4
- Added:
  + kqemu-0.7.2-alt-page_to_pfn.patch: fix compilation with 2.6.16 on x86_64
    (page_to_pfn() macro was converted to a function, which broke the #ifndef
    test for it).

* Sun Dec 25 2005 Sergey Vlasov <vsu@altlinux.ru> 0.7.2-alt3
- Added Provides and Requires needed for correct upgrades.
- Added support for 2.4.x kernels.

* Thu Sep 22 2005 Anton D. Kachalov <mouse@altlinux.org> 0.7.2-alt2
- 0.7.2

* Thu Aug 04 2005 Anton D. Kachalov <mouse@altlinux.org> 0.7.1.1-alt2
- 0.7.1
- added x86_64 support

* Tue Jul 26 2005 Sergey Vlasov <vsu@altlinux.ru> 0.6.2-alt2
- fixed packager (workaround for stupid sisyphus_check)

* Thu Jul 14 2005 Anton D. Kachalov <mouse@altlinux.org> 0.6.2-alt1
- added to kernel-cvs

* Fri May 20 2005 Kachalov Anton <mouse@altlinux.ru> 0.6.2-alt1
- first build
